Last Comment Bug 833948 - mozRTCIceCandidate constructor looks for 'sdbMid' rather than 'sdpMid' in its argument
: mozRTCIceCandidate constructor looks for 'sdbMid' rather than 'sdpMid' in its...
Status: VERIFIED FIXED
[webrtc][blocking-webrtc+]
:
Product: Core
Classification: Components
Component: WebRTC: Networking (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: mozilla21
Assigned To: Andrew Miller
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 12:54 PST by Andrew Miller
Modified: 2013-02-01 15:21 PST (History)
3 users (show)
hskupin: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Test case which creates a RTCIceCandidate and fetches the sdpMid property. (174 bytes, text/html)
2013-01-23 12:54 PST, Andrew Miller
no flags Details
Simple patch to fix the misspelling - no attempt at bug compatibility (1018 bytes, patch)
2013-01-23 13:06 PST, Andrew Miller
rjesup: review+
Details | Diff | Splinter Review

Description Andrew Miller 2013-01-23 12:54:01 PST
Created attachment 705511 [details]
Test case which creates a RTCIceCandidate and fetches the sdpMid property.

According to http://www.w3.org/TR/webrtc/#idl-def-RTCIceCandidate, the RTCIceCandidate constructor expects a property called 'sdpMid'. However, the code (in dom/media/PeerConnection.js IceCandidate.prototype.constructor) typos that as sdbMid.

Test case attached:
  Expected results with testcase: "y" shows up in the alert.
  Actual result with testcase: "z" shows up in the alert.
Comment 1 Andrew Miller 2013-01-23 13:06:09 PST
Created attachment 705517 [details] [diff] [review]
Simple patch to fix the misspelling - no attempt at bug compatibility
Comment 2 Andrew Miller 2013-01-23 15:09:27 PST
I don't have try-server access or access to all the platforms, so have only tested this on Linux x86-64 so this may need to be tested on the try server first.
Comment 3 Ryan VanderMeulen [:RyanVM] 2013-01-23 15:14:21 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/6eea9913acdd
Comment 4 Ryan VanderMeulen [:RyanVM] 2013-01-24 09:48:28 PST
https://hg.mozilla.org/mozilla-central/rev/6eea9913acdd
Comment 5 Jason Smith [:jsmith] 2013-01-30 16:34:09 PST
Verified on 1/30 build. Probably worth getting a quick error test here.
Comment 6 Henrik Skupin (:whimboo) 2013-02-01 15:21:39 PST
This is a fix of a spelling error in the code. I can't imagine there is something we could test here.

Note You need to log in before you can comment on or make changes to this bug.